[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Exchange

Exchange two items in the list

## Declaration

Source position: fgl.pp line 80

`public procedure TFPSList.Exchange(`
`Index1: Integer;`
`Index2: Integer`
`);`

## Arguments

`Index1` |  | First item
`Index2` |  | Second item

## Description

Exchange will exchange 2 items at positions Index1 and Index2 in the list.

## Errors

If Index1 or Index2 are out of bounds, an EListError exception is raised.